package com.zivilon.cindercore.mixins;

import org.spongepowered.asm.mixin.Mixin;
import org.spongepowered.asm.mixin.Dynamic;
import org.spongepowered.asm.mixin.Shadow;
import org.spongepowered.asm.mixin.Mutable;
import org.spongepowered.asm.mixin.gen.Accessor;
import net.minecraft.network.play.server.S0EPacketSpawnObject;

@Mixin(S0EPacketSpawnObject.class)
public interface MixinS0EPacketSpawnObject {

    @Accessor("field_149019_j")
    int get_id();

    @Accessor("field_149019_j")
    void set_id(int entity_ID);

    @Accessor("field_149020_k")
    int get_item_id();

    @Accessor("field_149020_k")
    void set_item_id(int item_ID);
}

